import * as React from "react";
import { AbstractPureComponent2 } from "../../common";
import { HTMLDivProps, IProps } from "../../common/props";
export declare type DialogStepId = string | number;
export interface IDialogStepProps extends IProps, Omit<HTMLDivProps, "id" | "title" | "onClick"> {
    /**
     * Unique identifier used to identify which step is selected.
     */
    id: DialogStepId;
    /**
     * Panel content, rendered by the parent `MultistepDialog` when this step is active.
     */
    panel: JSX.Element;
    /**
     * Space-delimited string of class names applied to multistep dialog panel container.
     */
    panelClassName?: string;
    /**
     * Content of step title element, rendered in a list left of the active panel.
     */
    title?: React.ReactNode;
}
export declare class DialogStep extends AbstractPureComponent2<IDialogStepProps> {
    static displayName: string;
    render(): JSX.Element;
}
