import DuplicatePackageCheckerPlugin from 'duplicate-package-checker-webpack-plugin';
import * as webpack from 'webpack';
export declare namespace WPPlugin {
    /**
     * A WebPack Plugin that copies the assets to the static directory
     */
    class FrontEndPlugin {
        constructor(buildDir: string, staticDir: string);
        apply(compiler: webpack.Compiler): void;
        buildDir: string;
        staticDir: string;
        private _first;
    }
    /**
     * A WebPack Plugin that ignores files files that are filtered
     * by a callback during a `--watch` build
     */
    class FilterWatchIgnorePlugin {
        constructor(ignored: (path: string) => boolean);
        apply(compiler: webpack.Compiler): void;
        ignored: (path: string) => boolean;
    }
    class NowatchDuplicatePackageCheckerPlugin extends DuplicatePackageCheckerPlugin {
        apply(compiler: webpack.Compiler): void;
        options: DuplicatePackageCheckerPlugin.Options;
    }
}
